aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xfce4-pulseaudio-plugin/APKBUILD
blob: d6d87d0f76264759f0e64c8531fd82a739007c7b (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
# Contributor: VÖRÖSKŐI András <voroskoi@gmail.com>
# Maintainer:
pkgname=xfce4-pulseaudio-plugin
pkgver=0.4.3
pkgrel=0
pkgdesc="Xfce panel plugin for pulseaudio mixer control"
url="https://goodies.xfce.org/projects/panel-plugins/xfce4-pulseaudio-plugin"
arch="all !mips !mips64" # blocked by libxfce4ui-dev
license="GPL-2.0-or-later"
makedepends="xfce4-panel-dev pulseaudio-dev libxfce4ui-dev dbus-dev exo-dev
	dbus-glib-dev libnotify-dev"
options="!check" # Check is empty
subpackages="$pkgname-lang"
source="https://archive.xfce.org/src/panel-plugins/xfce4-pulseaudio-plugin/${pkgver%.*}/xfce4-pulseaudio-plugin-$pkgver.tar.bz2"

build() {
	./configure \
	    --prefix=/usr \
	    --sysconfdir=/etc \
	    --libexecdir=/usr/lib \
	    --localstatedir=/var \
	    --disable-static
	make
}

package() {
	make DESTDIR="$pkgdir" install
}

sha512sums="d3214b2b7c35a0a87ea60a5d843f5027d1b09f320d4d24c6bf89a8936de92226223cb4dc5368edf4c0a1aedb3b8796510981eeadee8e836e764569d9284f0efa  xfce4-pulseaudio-plugin-0.4.3.tar.bz2"